/*
 * Author:          Patrick-Christopher Mattulat
 * Co-Author:       Claude Sonnet 4.6 (LLM)
 * Company:         Lynar Studios
 * E-Mail:          webmaster@lynarstudios.com
 * Created:         2023-02-04
 * Changed:         2026-06-23
 *
 * */

#include <ls-std/core/exception/IllegalArgumentException.hpp>

using ls::standard::core::Exception;
using ls::standard::core::IllegalArgumentException;
using std::move;
using std::string;

IllegalArgumentException::IllegalArgumentException() : Exception("IllegalArgumentException")
{}

IllegalArgumentException::IllegalArgumentException(const string &_message) : IllegalArgumentException()
{
  this->_setMessage(_message);
}

IllegalArgumentException::~IllegalArgumentException() noexcept = default;

const char *IllegalArgumentException::what() const noexcept
{
  return this->_getIdentifiedMessage("passed argument is not valid!");
}
